Package org.drinkless.tdlib

# Class TdApi.MessageInteractionInfo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageInteractionInfo

Enclosing class:
  `TdApi`

public static class TdApi.MessageInteractionInfo extends TdApi.Object
Contains information about interactions with a message.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `forwardCount`
  Number of times the message was forwarded.
  `TdApi.MessageReactions`
  `reactions`
  The list of reactions or tags added to the message; may be null.
  `TdApi.MessageReplyInfo`
  `replyInfo`
  Information about direct or indirect replies to the message; may be null.
  `int`
  `viewCount`
  Number of times the message was viewed.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageInteractionInfo()`
  Contains information about interactions with a message.
  `MessageInteractionInfo(int viewCount, int forwardCount, TdApi.MessageReplyInfo replyInfo, TdApi.MessageReactions reactions)`
  Contains information about interactions with a message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### viewCount

    public int viewCount
    Number of times the message was viewed.

  - ### forwardCount

    public int forwardCount
    Number of times the message was forwarded.

  - ### replyInfo

    @Nullable public TdApi.MessageReplyInfo replyInfo
    Information about direct or indirect replies to the message; may be null. Currently, available only in channels with a discussion supergroup and discussion supergroups for messages, which are not replies itself.

  - ### reactions

    @Nullable public TdApi.MessageReactions reactions
    The list of reactions or tags added to the message; may be null.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageInteractionInfo

    public MessageInteractionInfo()
    Contains information about interactions with a message.

  - ### MessageInteractionInfo

    public MessageInteractionInfo(int viewCount, int forwardCount, TdApi.MessageReplyInfo replyInfo, TdApi.MessageReactions reactions)
    Contains information about interactions with a message.
    Parameters:
      `viewCount` - Number of times the message was viewed.
      `forwardCount` - Number of times the message was forwarded.
      `replyInfo` - Information about direct or indirect replies to the message; may be null. Currently, available only in channels with a discussion supergroup and discussion supergroups for messages, which are not replies itself.
      `reactions` - The list of reactions or tags added to the message; may be null.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR